rpm 4.20.1 The RPM Package Manager

Loading...
Searching...
No Matches
Functions
rpmkeyring.h File Reference
RPM keyring API.
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmpgp.h>`
Include dependency graph for rpmkeyring.h:

Go to the source code of this file.

## Functions
rpmKeyring | rpmKeyringNew (void)
rpmKeyring | rpmKeyringFree (rpmKeyring keyring)
int | rpmKeyringAddKey (rpmKeyring keyring, rpmPubkey key)
rpmRC | rpmKeyringVerifySig (rpmKeyring keyring, pgpDigParams sig, DIGEST_CTX ctx)
rpmKeyring | rpmKeyringLink (rpmKeyring keyring)
rpmPubkey | rpmPubkeyNew (const uint8_t *pkt, size_t pktlen)
rpmPubkey * | rpmGetSubkeys (rpmPubkey mainkey, int *count)
rpmPubkey | rpmPubkeyRead (const char *filename)
rpmPubkey | rpmPubkeyFree (rpmPubkey key)
rpmPubkey | rpmPubkeyLink (rpmPubkey key)
char * | rpmPubkeyBase64 (rpmPubkey key)
pgpDigParams | rpmPubkeyPgpDigParams (rpmPubkey key)

## Detailed Description

RPM keyring API